<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_66) on Mon Nov 23 18:11:11 CET 2015 -->
<title>SALd_ReturnMaterial (QA API)</title>
<meta name="date" content="2015-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SALd_ReturnMaterial (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testsuites/smoke/sales/SALc_GenerateInvoice.html" title="class in com.openbravo.test.integration.erp.testsuites.smoke.sales"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testsuites/smoke/sales/SALe_CloseSalesOrder.html" title="class in com.openbravo.test.integration.erp.testsuites.smoke.sales"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/testsuites/smoke/sales/SALd_ReturnMaterial.html" target="_top">Frames</a></li>
<li><a href="SALd_ReturnMaterial.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.testsuites.smoke.sales</div>
<h2 title="Class SALd_ReturnMaterial" class="title">Class SALd_ReturnMaterial</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html" title="class in com.openbravo.test.integration.erp.testscripts">com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.testsuites.smoke.sales.SALd_ReturnMaterial</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SALd_ReturnMaterial</span>
extends <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html" title="class in com.openbravo.test.integration.erp.testscripts">OpenbravoERPTest</a></pre>
<div class="block">Test to create a sales order, and a goods receipt and sales invoice from that order.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Leo Arias</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html" title="class in com.openbravo.test.integration.erp.testscripts">OpenbravoERPTest</a></h3>
<code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html#FILE_PATH_PROPERTIES">FILE_PATH_PROPERTIES</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html#logInData">logInData</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html#mainPage">mainPage</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html#name">name</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html#watchman">watchman</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testsuites/smoke/sales/SALd_ReturnMaterial.html#SALd_ReturnMaterial-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderLinesData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderLinesData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.TaxData:A-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentLinesData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentLinesData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceLinesData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.PaymentPlanData-java.lang.String:A:A-com.openbravo.test.integration.erp.data.sales.transactions.returnfromcustomer.ReturnFromCustomerHeaderData-">SALd_ReturnMaterial</a></span>(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderHeaderData</a>&nbsp;salesOrderHeaderData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderHeaderData</a>&nbsp;salesOrderHeaderVerficationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderLinesData</a>&nbsp;salesOrderLinesData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderLinesData</a>&nbsp;salesOrderLinesVerificationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderHeaderData</a>&nbsp;bookedSalesOrderHeaderVerificationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/TaxData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">TaxData</a>[]&nbsp;taxesData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentHeaderData</a>&nbsp;goodsShipmentHeaderData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentHeaderData</a>&nbsp;goodsShipmentHeaderVerificationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentLinesData</a>&nbsp;goodsShipmentLineEditData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentLinesData</a>&nbsp;goodsShipmentLineVerificationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentHeaderData</a>&nbsp;completedGoodsShipmentHeaderVerificationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>&nbsp;salesInvoiceHeaderData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>&nbsp;salesInvoiceHeaderVerificationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>&nbsp;completedSalesInvoiceHeaderVerificationData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData</a>&nbsp;salesInvoiceLineData,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/PaymentPlanData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">PaymentPlanData</a>&nbsp;paymentInPlanData,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[][]&nbsp;journalEntryLines,
                   <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/returnfromcustomer/ReturnFromCustomerHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.returnfromcustomer">ReturnFromCustomerHeaderData</a>&nbsp;returnFromCustomerHeaderData)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testsuites/smoke/sales/SALd_ReturnMaterial.html#goodsReceiptAndSalesInvoiceShouldBeCreatedFromOrder--">goodsReceiptAndSalesInvoiceShouldBeCreatedFromOrder</a></span>()</code>
<div class="block">Test to create a sales order, and a goods receipt and sales invoice from that order.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testsuites/smoke/sales/SALd_ReturnMaterial.html#salesOrderValues--">salesOrderValues</a></span>()</code>
<div class="block">Test parameters.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html" title="class in com.openbravo.test.integration.erp.testscripts">OpenbravoERPTest</a></h3>
<code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html#login--">login</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/OpenbravoERPTest.html#logout--">logout</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SALd_ReturnMaterial-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderLinesData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderLinesData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.SalesOrderHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesorder.TaxData:A-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentLinesData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentLinesData-com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment.GoodsShipmentHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceHeaderData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.SalesInvoiceLinesData-com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice.PaymentPlanData-java.lang.String:A:A-com.openbravo.test.integration.erp.data.sales.transactions.returnfromcustomer.ReturnFromCustomerHeaderData-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SALd_ReturnMaterial</h4>
<pre>public&nbsp;SALd_ReturnMaterial(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderHeaderData</a>&nbsp;salesOrderHeaderData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderHeaderData</a>&nbsp;salesOrderHeaderVerficationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderLinesData</a>&nbsp;salesOrderLinesData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderLinesData</a>&nbsp;salesOrderLinesVerificationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/SalesOrderHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">SalesOrderHeaderData</a>&nbsp;bookedSalesOrderHeaderVerificationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesorder/TaxData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesorder">TaxData</a>[]&nbsp;taxesData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentHeaderData</a>&nbsp;goodsShipmentHeaderData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentHeaderData</a>&nbsp;goodsShipmentHeaderVerificationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentLinesData</a>&nbsp;goodsShipmentLineEditData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentLinesData</a>&nbsp;goodsShipmentLineVerificationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/goodsshipment/GoodsShipmentHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.goodsshipment">GoodsShipmentHeaderData</a>&nbsp;completedGoodsShipmentHeaderVerificationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>&nbsp;salesInvoiceHeaderData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>&nbsp;salesInvoiceHeaderVerificationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>&nbsp;completedSalesInvoiceHeaderVerificationData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceLinesData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceLinesData</a>&nbsp;salesInvoiceLineData,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/PaymentPlanData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">PaymentPlanData</a>&nbsp;paymentInPlanData,
                           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[][]&nbsp;journalEntryLines,
                           <a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/returnfromcustomer/ReturnFromCustomerHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.returnfromcustomer">ReturnFromCustomerHeaderData</a>&nbsp;returnFromCustomerHeaderData)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>salesOrderHeaderData</code> - The sales order header data.</dd>
<dd><code>salesOrderHeaderVerficationData</code> - The data to verify the creation of the sales order header.</dd>
<dd><code>salesOrderLinesData</code> - The sales order lines data.</dd>
<dd><code>salesOrderLinesVerificationData</code> - The data to verify the creation of the sales order line.</dd>
<dd><code>bookedSalesOrderHeaderVerificationData</code> - The booked sales order header verification data.</dd>
<dd><code>taxesData</code> - The tax data.</dd>
<dd><code>goodsShipmentHeaderData</code> - The Goods Shipment header data.</dd>
<dd><code>goodsShipmentHeaderVerificationData</code> - The data to verify the creation of the goods shipment header.</dd>
<dd><code>goodsShipmentLineEditData</code> - The data to edit the goods shipment line.</dd>
<dd><code>goodsShipmentLineVerificationData</code> - The data to verify the edition of the goods shipment line.</dd>
<dd><code>completedGoodsShipmentHeaderVerificationData</code> - The data to verify the completion of the goods shipment.</dd>
<dd><code>salesInvoiceHeaderData</code> - The Sales Invoice header data.</dd>
<dd><code>salesInvoiceHeaderVerificationData</code> - The data to verify the creation of the Sales Invoice header data.</dd>
<dd><code>completedSalesInvoiceHeaderVerificationData</code> - The data to verify the completion of the sales invoice.</dd>
<dd><code>salesInvoiceLineData</code> - The data to verify the creation of the Sales Invoice lines data.</dd>
<dd><code>paymentInPlanData</code> - The data to verify the payment in plan.</dd>
<dd><code>journalEntryLines</code> - Expected journal entry lines. Is an array of arrays. Each line has account number,
          name, debit and credit.</dd>
<dd><code>returnFromCustomerHeaderData</code> - .</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="salesOrderValues--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesOrderValues</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]&gt;&nbsp;salesOrderValues()</pre>
<div class="block">Test parameters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>collection of object arrays with data for the test</dd>
</dl>
</li>
</ul>
<a name="goodsReceiptAndSalesInvoiceShouldBeCreatedFromOrder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>goodsReceiptAndSalesInvoiceShouldBeCreatedFromOrder</h4>
<pre>public&nbsp;void&nbsp;goodsReceiptAndSalesInvoiceShouldBeCreatedFromOrder()
                                                         throws <a href="http://docs.oracle.com/javase/7/docs/api/java/text/ParseException.html?is-external=true" title="class or interface in java.text">ParseException</a></pre>
<div class="block">Test to create a sales order, and a goods receipt and sales invoice from that order.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/text/ParseException.html?is-external=true" title="class or interface in java.text">ParseException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testsuites/smoke/sales/SALc_GenerateInvoice.html" title="class in com.openbravo.test.integration.erp.testsuites.smoke.sales"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testsuites/smoke/sales/SALe_CloseSalesOrder.html" title="class in com.openbravo.test.integration.erp.testsuites.smoke.sales"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/testsuites/smoke/sales/SALd_ReturnMaterial.html" target="_top">Frames</a></li>
<li><a href="SALd_ReturnMaterial.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
